Get an invoice
curl --request GET \
--url https://api.example.com/invoices/{id} \
--header 'x-digest-key: <api-key>' \
--header 'x-digest-signature: <x-digest-signature>' \
--header 'x-digest-timestamp: <x-digest-timestamp>'import requests
url = "https://api.example.com/invoices/{id}"
headers = {
"x-digest-timestamp": "<x-digest-timestamp>",
"x-digest-key": "<api-key>",
"x-digest-signature": "<x-digest-signature>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-digest-timestamp': '<x-digest-timestamp>',
'x-digest-key': '<api-key>',
'x-digest-signature': '<x-digest-signature>'
}
};
fetch('https://api.example.com/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c9310d0f-6338-4780-b8d2-6a125e258a4a",
"invoice_number": "INV-2026-4",
"status": "sent",
"currency": "USD",
"line_items": [
{
"description": "Consulting — June",
"quantity": 2,
"unit_price": 10000
}
],
"subtotal": 20000,
"tax_percentage": 21,
"tax_total": 4200,
"total": 24200,
"issued_at": "2026-06-10T15:24:48.801Z",
"due_at": null,
"payment_id": "pt_EL1yKOzKdv",
"notes": "Thanks for your business.",
"customer": {
"id": "9c4749b3-8f18-4a25-9d67-8b1866d6c56d",
"customer_type": "business",
"name": null,
"company_name": "Example Co B.V.",
"email": "[email protected]",
"vat_number": null,
"address": null
},
"createdAt": "2026-06-10T15:24:48.791Z",
"updatedAt": "2026-06-10T15:24:48.866Z"
}{
"reason": "Signature verification failed",
"statusCode": 401
}{
"reason": "Not found",
"statusCode": 404
}Invoices
Get Invoice
Returns a single invoice by id.
GET
/
invoices
/
{id}
Get an invoice
Authorizations
Your public API key
Headers
Current Unix timestamp
Your public api key
Digest Auth Signature
Path Parameters
Response
The invoice.
Example:
"INV-2026-4"
Available options:
draft, sent, paid, overdue, voided Example:
"sent"
Example:
"USD"
Show child attributes
Show child attributes
Subtotal in the smallest currency unit (cents).
Example:
20000
Example:
21
Tax amount in cents.
Example:
4200
Total in cents.
Example:
24200
id of the linked payment. Fetch it via GET /payments/{id} to obtain the shareable payment link (shortUrl / hostedUrl).
Example:
"pt_EL1yKOzKdv"
⌘I